# this is ~msgs.js

||ifequal||sid||0||
auth_error('||auth_fail_reason||');
||else||
||iftrue(folder_index_invalid)||
	x_alert('$$st_index_fault$$');
||endif||


||include||_msgs.js||

// results=||results||
||ifdef||results||\
    ||begin_list_results||\
      add_error('||result_type||','||web_encode_js(result)||');\
    ||end_list_results||\
||endif||\

||iftrue(filter_dev)||
filter_update('||filter_state||', ||json_validate_int(filter_count)||);
||endif||

check_version('||web_ref_path||');

||iftrue(twofactor_required)||
auth_error('||twofactor_message||');
||endif||

||endif||
